from typing import List

from pydantic import BaseModel, Field
from pydantic_extra_types.pendulum_dt import DateTime


class User(BaseModel):
    login: str = Field()
    password: str = Field(repr=False)
    club_id: str = Field()


class BookingFilter(BaseModel):
    court_ids: List[int] = Field()
    sport_id: int = Field()
    date: DateTime = Field()
